Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Vlad Glagolev (163818a04e9d920db2905377038d859d9d92d830)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Vlad Glagolev <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Vlad Glagolev (163818a04e9d920db2905377038d859d9d92d830)
  • Date: Thu, 15 Sep 2022 05:49:03 +0000

GIT changes to master grimoire by Vlad Glagolev <stealth AT sourcemage.org>:

ChangeLog | 5 ++
devel/pyenv-virtualenv/BUILD | 1
devel/pyenv-virtualenv/DEPENDS | 2 +
devel/pyenv-virtualenv/DETAILS | 15 +++++++
devel/pyenv-virtualenv/FINAL | 5 ++
devel/pyenv-virtualenv/HISTORY | 3 +
devel/pyenv-virtualenv/INSTALL | 3 +
devel/pyenv-virtualenv/PRE_BUILD | 4 ++
devel/pyenv-virtualenv/fix-symlink-308.patch | 54
+++++++++++++++++++++++++++
devel/pyenv/BUILD | 7 +++
devel/pyenv/DEPENDS | 4 ++
devel/pyenv/DETAILS | 16 ++++++++
devel/pyenv/FINAL | 5 ++
devel/pyenv/HISTORY | 3 +
devel/pyenv/INSTALL | 9 ++++
devel/pyenv/PRE_BUILD | 4 ++
devel/pyenv/plugins-path.patch | 11 +++++
17 files changed, 151 insertions(+)

New commits:
commit 163818a04e9d920db2905377038d859d9d92d830
Author: Vlad Glagolev <stealth AT sourcemage.org>
Commit: Vlad Glagolev <stealth AT sourcemage.org>

pyenv-virtualenv: new spell, pyenv plugin to manage virtualenv (a.k.a.
python-virtualenv)

commit 9c9bc74736dc26bde74e8dcad2bce8d77d54bb02
Author: Vlad Glagolev <stealth AT sourcemage.org>
Commit: Vlad Glagolev <stealth AT sourcemage.org>

pyenv: new spell, simple Python version management

diff --git a/ChangeLog b/ChangeLog
index 5435ef5..9191bf0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2022-09-14 Vlad Glagolev <stealth AT sourcemage.org>
+ * devel/pyenv: new spell, simple Python version management
+ * devel/pyenv-virtualenv: new spell, pyenv plugin to manage virtualenv
+ (a.k.a. python-virtualenv)
+
2022-09-13 Ismael Luceno <ismael AT sourcemage.org>
* libs/libxtend: new spell, misc generic C functions

diff --git a/devel/pyenv-virtualenv/BUILD b/devel/pyenv-virtualenv/BUILD
new file mode 100755
index 0000000..27ba77d
--- /dev/null
+++ b/devel/pyenv-virtualenv/BUILD
@@ -0,0 +1 @@
+true
diff --git a/devel/pyenv-virtualenv/DEPENDS b/devel/pyenv-virtualenv/DEPENDS
new file mode 100755
index 0000000..6ed55ef
--- /dev/null
+++ b/devel/pyenv-virtualenv/DEPENDS
@@ -0,0 +1,2 @@
+depends bash &&
+depends pyenv
diff --git a/devel/pyenv-virtualenv/DETAILS b/devel/pyenv-virtualenv/DETAILS
new file mode 100755
index 0000000..2f32e61
--- /dev/null
+++ b/devel/pyenv-virtualenv/DETAILS
@@ -0,0 +1,15 @@
+ SPELL=pyenv-virtualenv
+ VERSION=1.1.5
+ SOURCE=${SPELL}-${VERSION}.tar.gz
+
SOURCE_URL[0]=https://github.com/pyenv/${SPELL}/archive/refs/tags/v${VERSION}.tar.gz
+
SOURCE_HASH=sha512:46297b6f61671f89d65035ce9e3a24f40737374c2ef56516dcbcea1524c3a733fe50b5270f145a00868604bc3cee857c3db3bccbcfaf5449340409d05150d5a5
+SOURCE_DIRECTORY="${BUILD_DIRECTORY}/${SPELL}-${VERSION}"
+ DOC_DIRS=""
+ WEB_SITE=https://github.com/pyenv/pyenv-virtualenv
+ LICENSE[0]=MIT
+ ENTERED=20220914
+ SHORT="pyenv plugin to manage virtualenv (a.k.a.
python-virtualenv)"
+cat << EOF
+pyenv-virtualenv is a pyenv plugin that provides features to manage
+virtualenvs and conda environments for Python on UNIX-like systems.
+EOF
diff --git a/devel/pyenv-virtualenv/FINAL b/devel/pyenv-virtualenv/FINAL
new file mode 100755
index 0000000..c97e9ce
--- /dev/null
+++ b/devel/pyenv-virtualenv/FINAL
@@ -0,0 +1,5 @@
+message "${MESSAGE_COLOR}Load pyenv automatically by appending
+the following to ~/.bash_profile:
+
+ eval \"\$(pyenv virtualenv-init -)\"
+${DEFAULT_COLOR}"
diff --git a/devel/pyenv-virtualenv/HISTORY b/devel/pyenv-virtualenv/HISTORY
new file mode 100644
index 0000000..3cd39c7
--- /dev/null
+++ b/devel/pyenv-virtualenv/HISTORY
@@ -0,0 +1,3 @@
+2022-09-14 Vlad Glagolev <stealth AT sourcemage.org>
+ * DETAILS, DEPENDS, {PRE_,}BUILD, INSTALL, FINAL,
fix-symlink-308.patch:
+ created spell, version 1.1.5
diff --git a/devel/pyenv-virtualenv/INSTALL b/devel/pyenv-virtualenv/INSTALL
new file mode 100755
index 0000000..dabbc5f
--- /dev/null
+++ b/devel/pyenv-virtualenv/INSTALL
@@ -0,0 +1,3 @@
+install -vm 755 -d
"${INSTALL_ROOT}/usr/libexec/pyenv-plugins/pyenv-virtualenv" &&
+
+cp -av "${SOURCE_DIRECTORY}"/*
"${INSTALL_ROOT}/usr/libexec/pyenv-plugins/pyenv-virtualenv/"
diff --git a/devel/pyenv-virtualenv/PRE_BUILD
b/devel/pyenv-virtualenv/PRE_BUILD
new file mode 100755
index 0000000..6a876e1
--- /dev/null
+++ b/devel/pyenv-virtualenv/PRE_BUILD
@@ -0,0 +1,4 @@
+default_pre_build &&
+cd "${SOURCE_DIRECTORY}" &&
+
+patch -p1 < "${SPELL_DIRECTORY}/fix-symlink-308.patch"
diff --git a/devel/pyenv-virtualenv/fix-symlink-308.patch
b/devel/pyenv-virtualenv/fix-symlink-308.patch
new file mode 100644
index 0000000..00e5e3c
--- /dev/null
+++ b/devel/pyenv-virtualenv/fix-symlink-308.patch
@@ -0,0 +1,54 @@
+diff --git a/bin/pyenv-virtualenv-prefix b/bin/pyenv-virtualenv-prefix
+index aa71777..bbe5871 100755
+--- a/bin/pyenv-virtualenv-prefix
++++ b/bin/pyenv-virtualenv-prefix
+@@ -6,7 +6,21 @@
+
+ set -e
+ [ -n "$PYENV_DEBUG" ] && set -x
+-. "${BASH_SOURCE%/*}"/../libexec/pyenv-virtualenv-realpath
++if [ -L "${BASH_SOURCE}" ]; then
++ READLINK=$(type -p greadlink readlink | head -1)
++ if [ -z "$READLINK" ]; then
++ echo "pyenv: cannot find readlink - are you missing GNU coreutils?"
>&2
++ exit 1
++ fi
++ resolve_link() {
++ $READLINK -f "$1"
++ }
++ script_path=$(resolve_link ${BASH_SOURCE})
++else
++ script_path=${BASH_SOURCE}
++fi
++
++. ${script_path%/*}/../libexec/pyenv-virtualenv-realpath
+
+ if [ -z "$PYENV_ROOT" ]; then
+ PYENV_ROOT="${HOME}/.pyenv"
+diff --git a/bin/pyenv-virtualenvs b/bin/pyenv-virtualenvs
+index 173278b..b441e78 100755
+--- a/bin/pyenv-virtualenvs
++++ b/bin/pyenv-virtualenvs
+@@ -7,7 +7,21 @@
+
+ set -e
+ [ -n "$PYENV_DEBUG" ] && set -x
+-. "${BASH_SOURCE%/*}"/../libexec/pyenv-virtualenv-realpath
++if [ -L "${BASH_SOURCE}" ]; then
++ READLINK=$(type -p greadlink readlink | head -1)
++ if [ -z "$READLINK" ]; then
++ echo "pyenv: cannot find readlink - are you missing GNU coreutils?"
>&2
++ exit 1
++ fi
++ resolve_link() {
++ $READLINK -f "$1"
++ }
++ script_path=$(resolve_link ${BASH_SOURCE})
++else
++ script_path=${BASH_SOURCE}
++fi
++
++. ${script_path%/*}/../libexec/pyenv-virtualenv-realpath
+
+ if [ -z "$PYENV_ROOT" ]; then
+ PYENV_ROOT="${HOME}/.pyenv"
diff --git a/devel/pyenv/BUILD b/devel/pyenv/BUILD
new file mode 100755
index 0000000..1701bc4
--- /dev/null
+++ b/devel/pyenv/BUILD
@@ -0,0 +1,7 @@
+src/configure &&
+
+make -C src &&
+
+if list_find "$LDFLAGS" "-s"; then
+ strip -v "libexec/pyenv-realpath.dylib"
+fi
diff --git a/devel/pyenv/DEPENDS b/devel/pyenv/DEPENDS
new file mode 100755
index 0000000..10acc5f
--- /dev/null
+++ b/devel/pyenv/DEPENDS
@@ -0,0 +1,4 @@
+depends bash &&
+depends SSL &&
+
+suggest_depends git "" "" "to be able to instal development versions"
diff --git a/devel/pyenv/DETAILS b/devel/pyenv/DETAILS
new file mode 100755
index 0000000..878d71d
--- /dev/null
+++ b/devel/pyenv/DETAILS
@@ -0,0 +1,16 @@
+ SPELL=pyenv
+ VERSION=2.3.4
+ SOURCE=${SPELL}-${VERSION}.tar.gz
+
SOURCE_URL[0]=https://github.com/pyenv/${SPELL}/archive/refs/tags/v${VERSION}.tar.gz
+
SOURCE_HASH=sha512:1d0c66ed0b30b722040764c1df78310df00d65390123f97a06ea485fd022a4f712fb1d6579e852d97ad8f71ee062d9454444a2b6c53f90bd81c6b82882f37b98
+SOURCE_DIRECTORY="${BUILD_DIRECTORY}/${SPELL}-${VERSION}"
+ DOC_DIRS=""
+ WEB_SITE=https://github.com/pyenv/pyenv
+ LICENSE[0]=MIT
+ ENTERED=20220914
+ SHORT="simple Python version management"
+cat << EOF
+pyenv lets you easily switch between multiple versions of Python. It's
simple,
+unobtrusive, and follows the UNIX tradition of single-purpose tools that do
+one thing well.
+EOF
diff --git a/devel/pyenv/FINAL b/devel/pyenv/FINAL
new file mode 100755
index 0000000..fe5dad2
--- /dev/null
+++ b/devel/pyenv/FINAL
@@ -0,0 +1,5 @@
+message "${MESSAGE_COLOR}Load pyenv automatically by appending
+the following to ~/.bash_profile:
+
+ eval \"\$(pyenv init -)\"
+${DEFAULT_COLOR}"
diff --git a/devel/pyenv/HISTORY b/devel/pyenv/HISTORY
new file mode 100644
index 0000000..ead43a7
--- /dev/null
+++ b/devel/pyenv/HISTORY
@@ -0,0 +1,3 @@
+2022-09-14 Vlad Glagolev <stealth AT sourcemage.org>
+ * DETAILS, DEPENDS, {PRE_,}BUILD, INSTALL, FINAL, plugins-path.patch:
+ created spell, version 2.3.4
diff --git a/devel/pyenv/INSTALL b/devel/pyenv/INSTALL
new file mode 100755
index 0000000..3cdc192
--- /dev/null
+++ b/devel/pyenv/INSTALL
@@ -0,0 +1,9 @@
+cp -av libexec/* "${INSTALL_ROOT}/usr/libexec/" &&
+
+ln -vsf "${TRACK_ROOT}/usr/libexec/pyenv" "${INSTALL_ROOT}/usr/bin/pyenv" &&
+
+install -vm 755 -d "${INSTALL_ROOT}/usr/libexec/pyenv-plugins" &&
+cp -av plugins/* "${INSTALL_ROOT}/usr/libexec/pyenv-plugins/" &&
+
+install -vm 755 -d "${INSTALL_ROOT}/etc/pyenv.d" &&
+cp -av pyenv.d/* "${INSTALL_ROOT}/etc/pyenv.d"
diff --git a/devel/pyenv/PRE_BUILD b/devel/pyenv/PRE_BUILD
new file mode 100755
index 0000000..0face36
--- /dev/null
+++ b/devel/pyenv/PRE_BUILD
@@ -0,0 +1,4 @@
+default_pre_build &&
+cd "${SOURCE_DIRECTORY}" &&
+
+patch -p0 < "${SPELL_DIRECTORY}/plugins-path.patch"
diff --git a/devel/pyenv/plugins-path.patch b/devel/pyenv/plugins-path.patch
new file mode 100644
index 0000000..bb12037
--- /dev/null
+++ b/devel/pyenv/plugins-path.patch
@@ -0,0 +1,11 @@
+--- libexec/pyenv.orig 2022-08-24 14:27:14 UTC
++++ libexec/pyenv
+@@ -77,7 +77,7 @@ export PYENV_DIR
+ shopt -s nullglob
+
+ bin_path="$(abs_dirname "$0")"
+-for plugin_bin in "${bin_path%/*}"/plugins/*/bin; do
++for plugin_bin in "${bin_path%/*}"/libexec/pyenv-plugins/*/bin; do
+ PATH="${plugin_bin}:${PATH}"
+ done
+ # PYENV_ROOT can be set to anything, so it may happen to be equal to the
base path above,



  • [SM-Commit] GIT changes to master grimoire by Vlad Glagolev (163818a04e9d920db2905377038d859d9d92d830), Vlad Glagolev, 09/15/2022

Archive powered by MHonArc 2.6.24.

Top of Page